Bug 192544 - Python failure when enabling selinux
Python failure when enabling selinux
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-20 07:02 EDT by Pawel Salek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.6.16-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 10:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2006-05-20 07:02:28 EDT
Description of problem:
Python produces a traceback when s-c-securitylevel is used to switch SElinux on.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.16-1

How reproducible:
Always

Steps to Reproduce:
1. Change "SELinux Setting" from "Disabled" to "Enforcing". Close the warning
dialog.
2. Click "OK"
  
Actual results:
the tool does nothing. Following text is printed on the console:
Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 240, in
okClicked
    rc = self.apply()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 402, in apply
    self.selinuxPage.apply()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 379, in apply
    type=self.getType()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 371, in getType
    return self.types[self.selinuxTypeOptionMenu.get_active()]
IndexError: list index out of range


Expected results:
Change should be applied.

Additional info:

My opinion is that the tool should check whether selinux-policy package is
installed and inform the user apriopriately.
Comment 1 Chris Lumens 2006-05-22 10:34:34 EDT
Please test the system-config-securitylevel-1.6.16-2 package in updates-testing.
 If this works for you, I will push it to the final updates.
Comment 2 Richard Dawe 2006-05-23 08:27:43 EDT
The system-config-securitylevel-1.6.16-2 package in updates-testing works for
me. I'm using FC5 with all the latest released updates. Thanks for fixing it!

Note You need to log in before you can comment on or make changes to this bug.